> ## Documentation Index
> Fetch the complete documentation index at: https://help.treble.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your company's agents

> Returns the agents in your account that can receive conversations. Use it to find out each agent's `email` and `id`, which are the values you must return from your endpoint when using the **API** destination of the Transfer Methods block.

Only **active** agents are returned, so any agent in the response can receive a conversation.

This endpoint lives on the agent platform host, `agent-api.treble.ai`, and not on `main.treble.ai`.



## OpenAPI

````yaml open-api-files/treble-api-en.json GET /agent/company/agents
openapi: 3.0.1
info:
  title: Treble Poll API
  description: Documentation for the poll deployment endpoint in Treble
  version: 1.0.0
servers:
  - url: https://main.treble.ai
    description: Main Treble server
  - url: https://yourdomain.com
    description: >-
      Example server for implementing webhooks. This represents YOUR server
      where you must implement the endpoints that Treble will call.
security: []
tags:
  - name: Webhooks
    description: >-
      Endpoints that Treble will call on your server. These are not real
      endpoints that you can call, but a representation of the webhooks that
      Treble will invoke in your system.
paths:
  /agent/company/agents:
    get:
      summary: Get your company's agents
      description: >-
        Returns the agents in your account that can receive conversations. Use
        it to find out each agent's `email` and `id`, which are the values you
        must return from your endpoint when using the **API** destination of the
        Transfer Methods block.


        Only **active** agents are returned, so any agent in the response can
        receive a conversation.


        This endpoint lives on the agent platform host, `agent-api.treble.ai`,
        and not on `main.treble.ai`.
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            Authorization API Key. It can be obtained at
            https://app.treble.ai/en/dashboard/settings/developers
          schema:
            type: string
          example: API_KEY
      responses:
        '200':
          description: Agent list retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Agent'
              example:
                - id: 4567
                  first_name: Andrea
                  last_name: Soto
                  email: andrea.soto@yourcompany.com
                  tags:
                    - id: 12
                      name: Default
                    - id: 18
                      name: Comercial
      servers:
        - url: https://agent-api.treble.ai
          description: Treble agent platform host
components:
  schemas:
    Agent:
      type: object
      description: Agent in your account who can receive conversations.
      properties:
        id:
          type: integer
          description: The agent's identifier in Treble.
          example: 4567
        first_name:
          type: string
          description: The agent's first name.
          example: Andrea
        last_name:
          type: string
          description: The agent's last name.
          example: Soto
        email:
          type: string
          description: >-
            The agent's email. It's the recommended value to return from your
            assignment endpoint.
          example: andrea.soto@yourcompany.com
        tags:
          type: array
          description: Teams the agent belongs to.
          items:
            $ref: '#/components/schemas/AgentTag'
    AgentTag:
      type: object
      description: Team (tag) the agent belongs to.
      properties:
        id:
          type: integer
          description: Team identifier.
          example: 12
        name:
          type: string
          description: Team name.
          example: Default

````